Subject: [RRG] 答复: [RRG] Which Side to Control Ingress Link Selection?

From: Xu Xiaohu <[email-masked]>
Date: Wed, 16 Apr 2008 14:42:45 +0200

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表 Christian Vogt
> 发送时间: 2008年4月15日 21:16
> 收件人: Brian E Carpenter
> 抄送: William Herrin; Routing Research Group Mailing List
> 主题: Re: [RRG] Which Side to Control Ingress Link Selection?
> 
> >> Doesn't the issue persist independent of the characteristics based on
> >> which a path gets selected?  Independent of *how* a path gets
> >> selected,
> >> you need to decide *who* selects it (or who selects which part of
> >> it).
> >
> > Well, that's true of course. But nothing can change the fact
> > that the originating host chooses the source address and destination
> > address that the packet starts out with, and all subsequent choices
> > depend on that.
> 
> Brian,
> 
> fully agree, but my point is that our new routing architecture may give
> more control to the sender:  By selecting a transit address in addition
> to an edge address, the sender will be able to fix an intermediate
> point on the route towards the receiver.  Thereby, it will be able to
> select the ingress link at the receiving edge network.  Today, it is the
> /receiving/ edge network that selects the ingress link -- through BGP.

Christian,

It seems related to the approach I mentioned earlier in this mailing-list,
that is, hosts implement EID-RLOC mapping query and carry the RLOC in the
outgoing packets, the ITR just needs to encapsulate and forward them
according to the RLOC piggybacked in the packets.

Xiaohu XU

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg